<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasColumn('turnos', 'celular')) {
            Schema::table('turnos', function (Blueprint $table) {
                $table->string('celular')->nullable()->after('correo');
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        if (Schema::hasColumn('turnos', 'celular')) {
            Schema::table('turnos', function (Blueprint $table) {
                $table->dropColumn('celular');
            });
        }
    }
};
